<?php

namespace Litecms\Notice\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NoticeTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Notice\Models\Notice $notice)
    {
        return [
            'id'                => $notice->getRouteKey(),
            'key'               => [
                'public'    => $notice->getPublicKey(),
                'route'     => $notice->getRouteKey(),
            ], 
            'title'             => $notice->title,
            'url'               => [
                'public'    => trans_url('notice/'.$notice->getPublicKey()),
                'user'      => guard_url('notice/notice/'.$notice->getRouteKey()),
            ], 
            'status'            => trans('app.'.$notice->status),
            'created_at'        => format_date($notice->created_at),
            'updated_at'        => format_date($notice->updated_at),
        ];
    }
}